import {
  IconAlignC,
  IconAlignL,
  IconAlignR,
  IconClear,
  IconFloatOff,
  IconFloatOn,
  IconLayerDown,
  IconLayerUp,
} from "@/assets/icons";
import {
  IconCamera,
  IconClose,
  IconCube,
  IconDelete,
  IconEyeOff,
  IconEyeOn,
  IconLock,
  IconRedo,
  IconSave,
  IconUndo,
  IconUnlock,
} from "@queenjs/icons";
import { createTipIcon } from "./create";

export const TipIcons = {
  Screenshot: createTipIcon({
    icons: [IconCamera],
    tips: ["截屏并保存封面"],
  }),
  Align: createTipIcon({
    icons: [IconAlignL, IconAlignC, IconAlignR],
    tips: ["左对齐", "居中", "右对齐"],
  }),
  Position: createTipIcon({
    icons: [IconFloatOff, IconFloatOn],
    tips: ["开启浮动", "关闭浮动"],
  }),
  Visible: createTipIcon({
    icons: [IconEyeOn, IconEyeOff],
    tips: ["显示", "隐藏"],
  }),
  Lock: createTipIcon({
    icons: [IconLock, IconUnlock],
    tips: ["锁定", "未锁定"],
  }),
  Delete: createTipIcon({
    icons: [IconDelete],
    tips: ["删除"],
  }),
  FullWidth: createTipIcon({
    icons: [IconCube],
    tips: ["全屏宽度"],
  }),
  ClearTransform: createTipIcon({
    icons: [IconClear],
    tips: ["清除变换"],
  }),
  Undo: createTipIcon({
    icons: [IconUndo],
    tips: ["撤销(Ctrl+Z)"],
  }),
  Redo: createTipIcon({
    icons: [IconRedo],
    tips: ["重做(Ctrl+Shift+Z)"],
  }),
  LayerUp: createTipIcon({
    icons: [IconLayerUp],
    tips: ["层级上移"],
  }),
  LayerDown: createTipIcon({
    icons: [IconLayerDown],
    tips: ["层级下移"],
  }),
  ParentComp: createTipIcon({
    icons: [IconLayerUp],
    tips: ["切换到父组件"],
  }),
  SaveAsComp: createTipIcon({
    icons: [IconSave],
    tips: ["保存为组件"],
  }),
  CancelGroup: createTipIcon({
    icons: [IconClose],
    tips: ["取消打组"],
  }),
};
